commit:     20c11fe7bd0311d815374ff9df0ce3ca8603d347
Author:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
AuthorDate: Mon May  4 15:26:26 2020 +0000
Commit:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
CommitDate: Mon May  4 16:00:50 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=20c11fe7

dev-db/mysql: disable more tests

Package-Manager: Portage-2.3.99, Repoman-2.3.22
Signed-off-by: Thomas Deutschmann <whissi <AT> gentoo.org>

 dev-db/mysql/mysql-5.7.30.ebuild | 6 ++++++
 dev-db/mysql/mysql-8.0.20.ebuild | 6 ++++++
 2 files changed, 12 insertions(+)

diff --git a/dev-db/mysql/mysql-5.7.30.ebuild b/dev-db/mysql/mysql-5.7.30.ebuild
index 1207ac15ee6..2c7797e6428 100644
--- a/dev-db/mysql/mysql-5.7.30.ebuild
+++ b/dev-db/mysql/mysql-5.7.30.ebuild
@@ -542,10 +542,16 @@ src_test() {
                gis.spatial_utility_function_distance_sphere \
                gis.spatial_utility_function_simplify \
                gis.spatial_analysis_functions_centroid \
+               main.with_recursive \
        ; do
                _disable_test "$t" "Known rounding error with latest AMD 
processors"
        done
 
+       if ! hash zip 1>/dev/null 2>&1 ; then
+               # no need to force dep app-arch/zip for one test
+               _disable_test "innodb.partition_upgrade_create" "Requires 
app-arch/zip"
+       fi
+
        if use numa && use kernel_linux ; then
                # bug 584880
                if ! linux_config_exists || ! linux_chkconfig_present NUMA ; 
then

diff --git a/dev-db/mysql/mysql-8.0.20.ebuild b/dev-db/mysql/mysql-8.0.20.ebuild
index e6d1693f2a1..d532682d0e8 100644
--- a/dev-db/mysql/mysql-8.0.20.ebuild
+++ b/dev-db/mysql/mysql-8.0.20.ebuild
@@ -388,6 +388,7 @@ src_test() {
        disabled_tests+=( "gis.spatial_analysis_functions_distance;5452;Known 
rounding error with latest AMD processors (PS)" )
        disabled_tests+=( "main.window_std_var;0;Known rounding error with 
latest AMD processors -- no upstream bug yet" )
        disabled_tests+=( "main.window_std_var_optimized;0;Known rounding error 
with latest AMD processors -- no upstream bug yet" )
+       disabled_tests+=( "main.with_recursive;0;Known rounding error with 
latest AMD processors -- no upstream bug yet" )
        disabled_tests+=( "rpl_gtid.rpl_gtid_stm_drop_table;90612;Known test 
failure" )
        disabled_tests+=( "rpl_gtid.rpl_multi_source_mtr_includes;0;Known 
failure - no upstream bug yet" )
        disabled_tests+=( "sys_vars.myisam_data_pointer_size_func;87935;Test 
will fail on slow hardware")
@@ -396,6 +397,11 @@ src_test() {
        disabled_tests+=( "x.message_compressed_payload;0;False positive caused 
by protobuff-3.11+" )
        disabled_tests+=( "x.message_protobuf_nested;0;False positive caused by 
protobuff-3.11+" )
 
+       if ! hash zip 1>/dev/null 2>&1 ; then
+               # no need to force dep app-arch/zip for one test
+               disabled_tests+=( "innodb.partition_upgrade_create;0;Requires 
app-arch/zip" )
+       fi
+
        local test_infos_str test_infos_arr
        for test_infos_str in "${disabled_tests[@]}" ; do
                IFS=';' read -r -a test_infos_arr <<< "${test_infos_str}"

Reply via email to